#32/64bit

Name:		dooble
Version:	1.48
Release:	%mkrel 2

Summary:	Dooble Web Browser
Group:		Networking/WWW
License:	BSD
URL:		http://dooble.sourceforge.net/
Source0:	dooble.d-%{version}.tar.xz
#Source1:        %{name}.sh
Patch0:		%{name}-%{version}-install.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++ >= 4.5
BuildRequires:  libgcrypt-devel
BuildRequires:  libgpg-error-devel
BuildRequires:	%{_lib}qt4-devel
BuildRequires:  %{_lib}sqlite3-devel
BuildRequires:	%{_lib}qtwebkit4-devel
Requires:	qt4-database-plugin-sqlite


%description
Dooble is a mischievous and platform-independent browser. 
Fair trade and organic software made with lots of love.
A browser that aims to put some fiber in your diet.

Features:
Advertisements blocking.
Always HTTPS.
Colorful and unique desktop.
Complex configuration options.
Configurable exceptions.
Cookies manager.
Downloads manager.
Encrypted bookmarks, browsing history, cookies, disk caches, etc.
History browser, including side panel.
Integrated file manager and FTP browser.
Per-tab JavaScript, Web plugins, and private cookies.
Plugins support.
Session restoration.

%description
Dooble is a mischievous and platform-independent browser. 
Fair trade and organic software made with lots of love.
A browser that aims to put some fiber in your diet.

%package       devel
Summary:       Header files for developing dooble plugins
URL:           http://dooble.sourceforge.net
Group:         Development/Libraries
Requires:      %{name}

%description devel
Header files for dooble plugin development.



%prep
%setup -qn dooble.d
%patch0 -p0

%build
export LD_LIBRARY_PATH=%{_libdir}
pushd trunk/browser
%qmake_qt4 "CONFIG += rpmbuild" dooble.pro

%make 
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd trunk/browser
%makeinstall_std INSTALL_ROOT=%{buildroot}
%makeinstall_std INSTALL_ROOT=%{buildroot} -C libSpotOn

install -dm 755 $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48
install -m 644 Icons/48x48/%{name}.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/48x48
popd

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-WebBrowsers" \
  --set-key="Exec" --set-value="dooble.sh" \
  --remove-mime-type="/text/xml" \
  --add-mime-type="text/xml" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/* 

# override the start script
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/dooble.sh << EOF
#!/bin/sh

if [ -r /usr/share/dooble/Dooble ] && [ -x /usr/share/dooble/Dooble ]
then
    export LD_LIBRARY_PATH=/usr/%{_lib}
    cd /usr/share/dooble && exec ./Dooble -style fusion "$@"
    exit $?
else
    exit 1
fi
EOF

%clean
#rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/%{name}.sh
%{_libdir}/*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/%{name}.png
%{_datadir}/%{name}/Translations/*.qm
%{_datadir}/%{name}/Tab/Default
%{_datadir}/%{name}/Plugins
%{_datadir}/%{name}/Images/*png
%{_datadir}/%{name}/Icons/*
%{_datadir}/%{name}/Dooble

%files devel
%defattr(-,root,root,-)
%{_includedir}/dooble

%changelog
* Sun Apr 30 2017 ghostbunny <ghostbunny at gmx dot de> 1.48-2pclos2017
- rebuild against new libgcrypt

* Wed Aug 13 2014 ghostbunny <ghostbunny at gmx dot de> 1.48-1pclos2014
- 1.48
- add R qt4-database-plugin-sqlite
- add the install patch
- clean install section
- generate the dooble.sh file dynamically in the install section

* Mon Nov 18 2013 pinoc <vogtpet at gmail.com> 1.45-2pclos2013
- fixed mimetype entry in desktop file

* Thu Sep 26 2013 Ken <lxgator at gmail.com> 1.45-1-1pclos2013
- Inital pkg
